### Constructor

# Peas ObjectModule new_full

#### Declaration [src]

    PeasObjectModule*
    peas_object_module_new_full (
      const char* module_name,
      const char* path,
      gboolean resident,
      gboolean local_linkage
    )

#### Description [src]

Creates a new `PeasObjectModule`.

This method is not directly available to language bindings.

#### Parameters

`module_name`

  Type: `const char*`

  The module name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`path`

  Type: `const char*`

  The path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`resident`

  Type: `gboolean`

  If the module should be resident.

`local_linkage`

  Type: `gboolean`

  Whether to load the module with local linkage.

#### Return value

Type: `PeasObjectModule`

A new `PeasObjectModule`.

The caller of the function takes ownership of the data, and is responsible for freeing it.